apply plugin: 'com.android.application'

android {
    compileSdkVersion COMPILER_SDK_VESION.toInteger()
    buildToolsVersion BUILD_TOOL_VESION
    defaultConfig {
        applicationId "com.maniu.mn_2020_5_25"
        minSdkVersion MIN_SDK_VERSION.toInteger()
        targetSdkVersion TAR_SDK_VERSION.toInteger()
        versionCode VERSION_CODE.toInteger()
        versionName VERSION_NAME
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    implementation APP_COMPAT
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
    implementation project(path: ':arouter')
    implementation project(path: ':annotation')
    annotationProcessor project(path: ':annotation_compiler')
    if(!IS_APPLICATION.toBoolean()){
        implementation project(path: ':member')
        implementation project(path: ':login')
    }
}
